Subject: [E3-hacking] RE: e3-hacking Digest, Vol 9, Issue 9

From: "Matt Holmes" <[email-masked]>
Date: Wed, 22 Feb 2006 20:47:48 -0000

Anyone now how to use this as just a phone, without all the additional
extortionate prices?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of [email-masked]
Sent: 22 February 2006 12:00
To: [email-masked]
Subject: e3-hacking Digest, Vol 9, Issue 9

Send e3-hacking mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	http://www.earth.li/cgi-bin/mailman/listinfo/e3-hacking
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of e3-hacking digest..."

Today's Topics:

   1. E3 rootfs problems (Tolly Nelson)
   2. E3 serial connection (David Given)
   3. Re: E3 serial connection (Jonathan McDowell)
   4. Re: E3 serial connection (J. Snell)
   5. Re: E3 rootfs problems (Mark Underwood)

----------------------------------------------------------------------

Message: 1
Date: Tue, 21 Feb 2006 14:21:06 +0000
From: Tolly Nelson <[email-masked]>
Subject: [E3-hacking] E3 rootfs problems
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1

Hi all,

I've been hacking my E3 over the last few days, but I can't seem to get
my rootfs image to work...

My toolchain seems to work, as I can compile u-boot and the kernel with
no problems, and they both boot, but the root just doesn't want to
execute - i.e it stops after :

"...
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
Freeing init memory: 100K"

I've checked my inittab, and the relevant line is there:

"::respawn:/bin/ash"

I've mounted the ext2 image locally, and 'file busybox' says:

"busybox: setuid ELF 32-bit LSB executable, ARM, version 1 (ARM),
dynamically linked (uses shared libs), stripped"

So I know that its compiled correctly. (unless I require static linking)

I'm using the standard linux.pbl pbltool script, so maybe I'm getting
the memory locations wrong (my rootfs and kernel are slightly different
sizes)

When using the stock rootfs, the system works fine with my u-boot and
kernel.

Any help would be appreciated,

Tolly

------------------------------

Message: 2
Date: Tue, 21 Feb 2006 18:05:13 +0000
From: David Given <[email-masked]>
Subject: [E3-hacking] E3 serial connection
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="utf-8"

Does anyone have a definitive answer as to what I need to hook up an E3 to a

PC serial port?

The various opinions I've seen so far are:

* If you just wire it up, it may work, but you run some risk of frying the 
UART in the E3.

* If you just wire it up, it won't work, because you need to invert the
signal 
levels.

* You can wire it up to an E2 line level converter and it will work.

Which one of these, if any, is right?

-- 
+- David Given --McQ-+ 
|  [email-masked]    | ACRONYM: A Contrived Reduction of Nomenclature
| ([email-masked]) | Yielding Mnemonics
+- www.cowlark.com --+ 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url :
http://www.earth.li/pipermail/e3-hacking/attachments/20060221/e6268f0b/attac
hment-0001.pgp

------------------------------

Message: 3
Date: Tue, 21 Feb 2006 18:08:46 +0000
From: Jonathan McDowell <[email-masked]>
Subject: Re: [E3-hacking] E3 serial connection
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="us-ascii"

On Tue, Feb 21, 2006 at 06:05:13PM +0000, David Given wrote:
> Does anyone have a definitive answer as to what I need to hook up an
> E3 to a PC serial port?
>
> The various opinions I've seen so far are:
> 
> * If you just wire it up, it may work, but you run some risk of frying the

> UART in the E3.

True; I have mine wired up at present with no converter or level
shifter.

> * If you just wire it up, it won't work, because you need to invert
> the signal levels.
> 
> * You can wire it up to an E2 line level converter and it will work.

True if taken together I believe; you need an E2 style converter plus an
inverter.

J.

-- 
noodles is good in nagahama
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
Url :
http://www.earth.li/pipermail/e3-hacking/attachments/20060221/785dd9a9/attac
hment-0001.pgp

------------------------------

Message: 4
Date: Tue, 21 Feb 2006 18:48:24 +0000
From: "J. Snell" <[email-masked]>
Subject: Re: [E3-hacking] E3 serial connection
To: "Discussion of the Amstrad E3 emailer hardware/software"
	<[email-masked]>
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1

I'm using the cable from an old serial digital camera that I have. I
guess I struck lucky there. I don't think it has any electronics in
it, as neither end looks big enough to contain any.

On 2/21/06, Jonathan McDowell <[email-masked]> wrote:
> On Tue, Feb 21, 2006 at 06:05:13PM +0000, David Given wrote:
> > Does anyone have a definitive answer as to what I need to hook up an
> > E3 to a PC serial port?
> >
> > The various opinions I've seen so far are:
> >
> > * If you just wire it up, it may work, but you run some risk of frying
the
> > UART in the E3.
>
> True; I have mine wired up at present with no converter or level
> shifter.
>
> > * If you just wire it up, it won't work, because you need to invert
> > the signal levels.
> >
> > * You can wire it up to an E2 line level converter and it will work.
>
> True if taken together I believe; you need an E2 style converter plus an
> inverter.
>
> J.
>
> --
> noodles is good in nagahama
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (GNU/Linux)
>
> iD8DBQFD+1cu8b1L5FtDA2cRAndXAJ90AqcoNSeMuhpa7pZXdft05trczgCfavpw
> plBjiacFxQxjN/UF5T4g65U=
> =JkH2
> -----END PGP SIGNATURE-----
>
>
> _______________________________________________
> e3-hacking mailing list
> [email-masked]
> http://www.earth.li/cgi-bin/mailman/listinfo/e3-hacking
>
>
>

------------------------------

Message: 5
Date: Tue, 21 Feb 2006 18:59:02 +0000 (GMT)
From: Mark Underwood <[email-masked]>
Subject: Re: [E3-hacking] E3 rootfs problems
To: Discussion of the Amstrad E3 emailer hardware/software
	<[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=iso-8859-1

--- Tolly Nelson <[email-masked]> wrote:

> Hi all,
> 
> I've been hacking my E3 over the last few days, but I can't seem to get
> my rootfs image to work...
> 
> My toolchain seems to work, as I can compile u-boot and the kernel with
> no problems, and they both boot, but the root just doesn't want to
> execute - i.e it stops after :
> 
> "...
> RAMDISK: Compressed image found at block 0
> VFS: Mounted root (ext2 filesystem).
> Freeing init memory: 100K"
> 
> I've checked my inittab, and the relevant line is there:
> 
> "::respawn:/bin/ash"
> 
> I've mounted the ext2 image locally, and 'file busybox' says:
> 
> "busybox: setuid ELF 32-bit LSB executable, ARM, version 1 (ARM),
> dynamically linked (uses shared libs), stripped"
> 
> So I know that its compiled correctly. (unless I require static linking)
> 
> I'm using the standard linux.pbl pbltool script, so maybe I'm getting
> the memory locations wrong (my rootfs and kernel are slightly different
> sizes)
> 
> When using the stock rootfs, the system works fine with my u-boot and
> kernel.
> 
> Any help would be appreciated,

Hi Tolly, 
 
Did you use the configs in the release? These should work fine. It required
a fair amount of trail
and error to get a buildroot & busybox configuration that worked and I'm
really not sure why :-/. 
You will also have to stop the rc scripts from running (they don't work),
it's best if you just
copy the inittab from the release over your version.

As for the memory layout, as long as your kernel is under 2M (compressed)
and your rootfs is under
1M (compressed) you should be fine. If your rootfs is bigger then 1M then
you will have to move it
up a bit, althought you would know about it as you would have over-written
the kernels u-boot
header and it would refuse to boot.

> Tolly

Mark
> 
> 
> _______________________________________________
> e3-hacking mailing list
> [email-masked]
> http://www.earth.li/cgi-bin/mailman/listinfo/e3-hacking
> 

___________________________________________________________ 
To help you stay safe and secure online, we've developed the all new Yahoo!
Security Centre. http://uk.security.yahoo.com

------------------------------

_______________________________________________
e3-hacking mailing list
[email-masked]
http://www.earth.li/cgi-bin/mailman/listinfo/e3-hacking

End of e3-hacking Digest, Vol 9, Issue 9
****************************************

-- 
No virus found in this incoming message.
Checked by AVG Free Edition.
Version: 7.1.375 / Virus Database: 267.15.12/266 - Release Date: 21/02/2006